Subject: Re: bug#52446: 28.0.90; Infinite loop in add_row_entry

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Dec 2021 12:30:41 +0200

> From: Po Lu <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 12 Dec 2021 18:21:37 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > And if you go over the row_table[] array, how many such entries doi
> > you see there?  And what is the value of row_table_size?
> 
> row_table_size is 269.  All 269 elements of row_table are NULL.

Now I'm confused: if row_table[i] is NULL for each i, then how did we
enter that loop?  Its condition checks for entry being non-NULL.